require 'rails_helper'

RSpec.describe "Limitation prod", type: :request do
  let!(:admin) { create :user, roles: ['Administrator'] }
  
  before :each do
    sign_in(admin)
  end

  describe "" do

    ['DEV', 'REC', 'PPROD'].each do |type|
      it "swagger accessible on #{type}" do
        HERMES_CONFIG['environment'] = type
        get "/swagger/index.html"
        expect(response).to have_http_status(:success)
      end

      it "doc accessible on #{type}" do
        HERMES_CONFIG['environment'] = type
        get "/api/dmo/doc"
        expect(response).to have_http_status(:success)
      end 
    end

    it "block swagger on PROD" do
      HERMES_CONFIG['environment'] = "PROD"
      get "/swagger/index.html"
      expect(response).to have_http_status(404)
      HERMES_CONFIG['environment'] = "DEV"
    end

    it "block doc on PROD" do
      HERMES_CONFIG['environment'] = "PROD"
      get "/api/dmo/doc"
      expect(response).to have_http_status(404)
      HERMES_CONFIG['environment'] = "DEV"
    end
  end
end